• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

[SOLVED: YYG Fixed SSL Certificate] GM 8.1 License key no longer works.

Sporkinator

Member
For the longest time, my GM 8.1 would randomly revert to the Lite version, but I could re-enter my license key to fix it. As of today, that no longer works. Is there any known solution to this?
 

kburkhart84

Firehammer Games
For the longest time, my GM 8.1 would randomly revert to the Lite version, but I could re-enter my license key to fix it. As of today, that no longer works. Is there any known solution to this?
As far as I know there is no fix. The server that the DRM was using was taken down years ago(you are on an extremely old version). I think version 8.0 would actually still work as if I remember correctly it self-validates its DRM instead of verifying with a server.

The better recommendation of course is to upgrade. There are so many things that make newer versions better. As far back as you are though, you would not be able to directly import projects so it would take some re-writing if you are in the middle of a project.

EDIT*** I apologize, I forgot and had it backwards. As stated below, 8.0 is the one that was using Softwrap DRM but 8.1 was not, and so should still work in theory. My recommendation to upgrade still stands though, as 8.1 is really, really old by now.
 
Last edited:

FrostyCat

Member
As far as I know there is no fix. The server that the DRM was using was taken down years ago(you are on an extremely old version). I think version 8.0 would actually still work as if I remember correctly it self-validates its DRM instead of verifying with a server.
  • 7.0 and 8.0 were the versions affected by SoftWrap's shutdown in 2013, not 8.1.
  • The versions of GM that did self-validate without going through a server were 5.1 through 6.1, not 8.0.
 

kburkhart84

Firehammer Games
  • 7.0 and 8.0 were the versions affected by SoftWrap's shutdown in 2013, not 8.1.
  • The versions of GM that did self-validate without going through a server were 5.1 through 6.1, not 8.0.
Crap, you are right. I have it backwards. It has been a long time. I'll edit my post(won't delete though so your post keeps context).
 

TsukaYuriko

☄️
Forum Staff
Moderator
I'm not aware of a known solution for this, and I'm also not aware of it being a known issue in the first place, so please contact support and maybe they'll be able to clear up what's going on. There haven't been announcements regarding the end of support for 8.1 license registration or verification, so this should - in theory - be working.

You should definitely be using GMS 2, though.
 

Sporkinator

Member
GM 8.0 lacks draw_self() which is easily replaceable with a script, but the lack of ability to search all object code via the "Search in Scripts" function would be quite a problem.

Unfortunately, upgrading our current projects to GM:S is definitely not going to happen. They've been in development for several years at this point, and they're not even for profit. I'm literally just helping somebody overseas make point-and-click adventure games for his grandchildren.

He is even speaking of his laptop not running well and needing to be replaced. Apparently his GM 8.1 is still licensed just fine. This might be a ticking time bomb. I'm guessing he won't be able to re-license on any new machine.
 

TsukaYuriko

☄️
Forum Staff
Moderator
That's precisely why I told you to contact support, as there is no "ticking time bomb" at all. None has ever been announced, so this is something that should "just work". If it doesn't: Support time. :)
 

TsukaYuriko

☄️
Forum Staff
Moderator
Because, as the warning message on the site says, you didn't log in and thus don't have access to the other options... ;)
 

Sporkinator

Member
I guess I had to make an account. I thought I already had one from when I bought GM 8.1. Anyway, none of these options cover my issue:
1618536250551.png
Oh, and here is the error I get when attempting to license GM 8.1 properly:
1618537240504.png
1618537383498.png
 

Attachments

Last edited:

TsukaYuriko

☄️
Forum Staff
Moderator
YoYo accounts weren't even around back in those days. :)

I'd go with "Purchasing and refunds" because it's ultimately a problem with something that you purchased not working correctly. Even if that's not 100% fitting, there are humans on the other end, not machines that will auto-reject every ticket that they deem to have been filed under the wrong category based on some AI.
 
Top